/*----------------------------------------------------------------
 * ik220.h - General ik220.h file (driver & user code)
 *----------------------------------------------------------------
 */

#ifndef _IK220_H
#define _IK220_H

// ioctl() cmd defines
#define IK220_IOCTL_GET_NAXIS               1 
#define IK220_IOCTL_DOWNLOAD                2 
#define IK220_IOCTL_GETVER                  3 
#define IK220_IOCTL_LED                     4 
#define IK220_IOCTL_READ48                  5 
#define IK220_IOCTL_START                   6 
#define IK220_IOCTL_T1                    100 

// 'nice' functions
int IK220_get_naxis( int Fd, int * num_axis );
int IK220_download( int Fd, int axis, unsigned short *data, int download_len );
int IK220_getver( int Fd, int axis, char *ver );
int IK220_led( int Fd, int axis, int mode );
int IK220_read48( int Fd, int axis, int latch, ulong *w1, ulong *w2, long long * pos );
int IK220_start( int Fd, int axis );
int IK220_t1( int Fd, int axis );

/*------------------------------------------------------------
** ik220_parms_t - a general structure used to pass arguments
**               & return values to the ioctl() call.
**------------------------------------------------------------
*/
struct ik220_parms_t
{
   int ret;             /* return code    */
   int axis;            /* axis */
   long l[4];           /* long parameter */
   void *p[4];          /* pointer parameter */
};

#endif  // _IK220_H

